> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# kbentry

## "kbentry" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.KbEntryListProvider">KbEntryListProvider</see> class.
The name of the MDO list is 'kbentry'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/kbentry
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("kbentry", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name     | StyleHint | ExtraInfo |
| -- | -------- | --------- | --------- |
| 1  | Test FAQ |           |           |

## Related MDO Lists

* "kbentryheadings"
* "kbentryheadingswithallitem"
* "kbentryheadingswithallitemwithnoselection"
* "kbentryheadingswithnoselection"
* "kbentrywithallitem"
* "kbentrywithallitemwithnoselection"
* "kbentrywithnoselection"


## Related topics

- [kb_entry_keyword table](/en/database/tables/kb-entry-keyword.md)
- [kb_entry_log table](/en/database/tables/kb-entry-log.md)
- [kb_entry table](/en/database/tables/kb-entry.md)
- [kb_entry_comment table](/en/database/tables/kb-entry-comment.md)
- [kb_entry_words table](/en/database/tables/kb-entry-words.md)
- [kb_solution_finder_entry table](/en/database/tables/kb-solution-finder-entry.md)
